package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 公司----操作证
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MtCompanyLiftCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 维保公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 状态    '0：无证，1：未审核，2：不合格，3：合格，4：过期。
     */
    @TableField("status")
    private Integer status;

    @TableId("id")
    private Integer id;


}
