package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.mapper.AttendanceMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 打卡签到记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-12
 */
@Service("attendanceService")
public class AttendanceService extends ServiceImpl<AttendanceMapper,Attendance>{

    public IPage<AttendanceResponse> pageByCondition(AttendanceRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<AttendanceResponse> page = new Page<>(pageNum, pageSize);
        return baseMapper.pageByCondition(page, request);
    }

    public IPage<AttendanceResponse> pageByUser(AttendanceRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<AttendanceResponse> page = new Page<>(pageNum, pageSize);
        return baseMapper.pageByUser(page, request);
    }
}